local ADDON_NAME = "AutoRepair"


local function OnAddOnLoaded(_, addonName)
	if addonName ~= ADDON_NAME then return end
	EVENT_MANAGER:UnregisterForEvent(ADDON_NAME, EVENT_ADD_ON_LOADED)
	
	-- SAVED VARIABLES
	local savedVars = ZO_SavedVars:NewAccountWide(ADDON_NAME .. "_Save", 1, nil, { showText = true })
	
	-- CHAT MESSAGE
	
	local function SystemMessage(msg)
		if CHAT_SYSTEM.primaryContainer then
			CHAT_SYSTEM.primaryContainer:OnChatEvent(nil, msg, CHAT_CATEGORY_SYSTEM)
		else
			CHAT_SYSTEM:AddMessage(msg)
		end
	end
	
	-- OPEN A STORE
	EVENT_MANAGER:RegisterForEvent(ADDON_NAME, EVENT_OPEN_STORE, function()
		local repairCost = GetRepairAllCost()
		if repairCost > 0 and CanStoreRepair() then
			RepairAll()
			if savedVars.showText then
				local repairCostFormat = ZO_Currency_FormatPlatform(CURT_MONEY, repairCost, ZO_CURRENCY_FORMAT_AMOUNT_ICON)
				SystemMessage(string.format("%s %s %s", GetString(SI_EQUIPSLOTVISUALCATEGORY2), GetString(SI_WINGY_AUTO_REPAIRED_FOR), repairCostFormat))
			end
		end	
	end)
	
	-- SLASH COMMANDS
	local PREFIX = ZO_ERROR_COLOR:Colorize(string.format("[%s] ", ADDON_NAME))
	SLASH_COMMANDS["/repairtext"] = function()
		savedVars.showText = not savedVars.showText
		local string
		if savedVars.showText then
			string = GetString(SI_ADDONLOADSTATE2)
		else
			string = GetString(SI_ADDONLOADSTATE3)
		end
		local msg = string.format("%s%s", PREFIX, string)
		SystemMessage(msg)
	end
end
EVENT_MANAGER:RegisterForEvent(ADDON_NAME, EVENT_ADD_ON_LOADED, OnAddOnLoaded)